/*
 Project    : Fuzzy string comparision.
 Phile name : tchar.h
 Author     : Vladimir Kiva <vlak@glasnet.ru>
 Date       : 26.10.1996.

 Description: This is a substitution of the original tchar.h phile.
 Note: Russian (CP1251)  UNICODE     
       ,    ". . Windows  
       (  Win32 API  Windows 3.5  Windows 95) / .  . -
       .:   " "  "Channel Trading Ltd.",
       1995. - 720 .: .", .607.
*/
#ifndef __TCHAR_H
#define __TCHAR_H

#ifdef _UNICODE
   #include <stdlib.h>
   typedef wchar_t TCHAR;
   #define _TEXT(x) L ## x
#else  // not _UNICODE
   typedef char TCHAR;
   #define _TEXT(x) x
#endif // _UNICODE

#endif // __TCHAR_H

